> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 指定したワークスペースおよびコネクタのログファイルのクリーンアップ

> 指定した workspaces およびコネクタのログファイルをクリーンアップします。



## OpenAPI

````yaml 26.3/self-hosted/ja/api-reference/openapi.json POST /cleanup
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /cleanup:
    post:
      tags:
        - cleanup
      summary: 指定したワークスペースおよびコネクタのログファイルのクリーンアップ
      description: 指定した workspaces およびコネクタのログファイルをクリーンアップします。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/cleanup_input'
      responses:
        '200':
          description: アクションの結果。
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    cleanup_input:
      type: object
      properties:
        Type:
          type: string
          description: >-
            クリーンアップ実行時にファイルをArchive するかDelete
            するか。指定しない場合は、アプリケーションで指定されたクリーンアップ設定が使用されます。
        Age:
          type: string
          description: >-
            クリーンアップ対象とするファイルの最小経過日数（日単位）。指定した経過日数より新しいファイルはクリーンアップされません。指定しない場合は、アプリケーションで指定されたクリーンアップ設定が使用されます。
        WorkspaceId:
          type: string
          description: ワークスペースのId。設定しない場合は、すべてのワークスペースがクリーンアップされます。
        ConnectorId:
          type: string
          description: アーカイブするコネクタのId。設定しない場合は、該当するワークスペース内のすべてのコネクタがクリーンアップされます。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````